com.aliyun.svideosdk.common.struct.project

## Class Filter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack
    - - com.aliyun.svideosdk.common.struct.project.Filter

-     public class Filter
      extends EffectTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `EffectTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `mTimelineIn, mTimelineOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter(Source source)`
    `Filter(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Gets the display duration of an effect.
    `EffectConfig` | `getEffectConfig()` Gets the effect config.
    `float` | `getIntensity()` Gets the lut filter effect ratio
    `Source` | `getSource()` Gets the filter resource.
    `long` | `getStartTime()` Gets the time when an effect appears.
    `void` | `setEffectConfig(EffectConfig effectConfig)` Sets the effect config.
    `void` | `setIntensity(float intensity)` Sets the lut filter effect ratio, valid value range[0.0, 1.0]
    `void` | `setSource(Source source)` Sets the filter resource.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `getTimelineIn, getTimelineOut, getType, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter

          @Deprecated
          public Filter(java.lang.String path)

      Deprecated.

    - #### Filter

          public Filter(Source source)

  - ### Method Detail

    - #### getEffectConfig

          public EffectConfig getEffectConfig()

      Gets the effect config.
      Returns:
        effect config.

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

      Sets the effect config.
      Parameters:
        `effectConfig` - effect config

    - #### getSource

          public Source getSource()

      Gets the filter resource.
      Returns:
        filter resource

    - #### setSource

          public void setSource(Source source)

      Sets the filter resource.
      Parameters:
        `source` - filter resource

    - #### getStartTime

          public long getStartTime()

      Gets the time when an effect appears. Unit: milliseconds.
      Returns:
        start time

    - #### getDuration

          public long getDuration()

      Gets the display duration of an effect. Unit: milliseconds.
      Returns:
        duration

    - #### getIntensity

          public float getIntensity()

      Gets the lut filter effect ratio
      Returns:
        ratio value

    - #### setIntensity

          public void setIntensity(float intensity)

      Sets the lut filter effect ratio, valid value range[0.0, 1.0]
      Parameters:
        `intensity` - ratio value